#ifdef RHHM3OLEG42USBSDK_EXPORTS
#define RHHM3OLEG42USBSDK_API __declspec(dllexport)
#else
#define RHHM3OLEG42USBSDK_API __declspec(dllimport)
#endif

#include "Error.h"

#define SDKHANDLE	void*

enum EREADER_FEATURE
{
	ERD_LEDS,
	ERD_BUZZER,
	ERD_READER_TYPE,
	ERD_HARDAWARE_REV,
	ERD_POWER,
	ERD_BOOT_LOADER,
	ERD_FIRMWARE,
	ERD_CRYPT_MODE,
	ERD_CARD,
	ERD_SELECT_FILE,
};

RHHM3OLEG42USBSDK_API SDKHANDLE	OpenReader(UINT nCom);

RHHM3OLEG42USBSDK_API EERROR ReadData(SDKHANDLE hReader, DWORD dwAddress, BYTE* pData, DWORD& dwLen);
RHHM3OLEG42USBSDK_API EERROR WriteData(SDKHANDLE hReader, DWORD dwAddress, BYTE* pData, DWORD dwLen);
RHHM3OLEG42USBSDK_API EERROR SetReaderCaps(SDKHANDLE hReader, EREADER_FEATURE eRdFeat, BYTE* pData, DWORD dwCount);
RHHM3OLEG42USBSDK_API EERROR GetReaderCaps(SDKHANDLE hReader, EREADER_FEATURE eRdFeat, BYTE* pData, DWORD& dwCount);
RHHM3OLEG42USBSDK_API void	CloseReader(SDKHANDLE hReader);

